ENVISAT Product Reader API for C |

Functions
Product IO
Input / Output

## Functions

EPR_SProductId * | epr_open_product (const char *product_file_path)
| Opens the ENVISAT product file with the given file path, reads MPH, SPH and all DSDs, organized the table with parameter of line length and tie points number; returns a file identifier for the product.
int | epr_close_product (EPR_SProductId *product_id)
| Closes the ENVISAT product file determined by the given product identifier.

## Detailed Description

## Function Documentation

## ◆ epr_open_product()

EPR_SProductId * epr_open_product | ( | const char * | product_file_path | ) |

Opens the ENVISAT product file with the given file path,
reads MPH, SPH and all DSDs,
organized the table with parameter of line length and tie points number;
returns a file identifier for the product.

The ENVISAT product reader API must be initialized before.

Parameters

  product_file_path | the path to the ENVISAT product file

Returns
  the product identifier, or `NULL` if the file could not be opened. `epr_get_error_code()` should be called in this case in order to obtain the error code.

## ◆ epr_close_product()

int epr_close_product | ( | EPR_SProductId * | product_id | ) |

Closes the ENVISAT product file determined by the given product identifier.

Parameters

  product_id | the product identifier, if `NULL` the function immediately returns zero.

Returns
  zero for success, an error code otherwise